Die Inventor FAQ wird unterstützt von:

Inventor FAQ Logo

05.02.2019

iLogic: Zwischen verschiedenen Detailgenauigkeiten wechseln

Wie kann ich einen Schaltfläche bauen, mit der ich zirkulär durch bestimmte Detailgenauigkeiten (LOD) wechseln kann, so wie im Bild zu sehen:

ersatz1


Dim oDoc As Inventor.AssemblyDocument 
oDoc = ThisDoc.Document

Dim oAsmCompDef As ComponentDefinition
oAsmCompDef = oDoc.ComponentDefinition

Dim aktivesLOD As String = oAsmCompDef.RepresentationsManager.ActiveLevelOfDetailRepresentation.Name

Select Case aktivesLOD
	'LOD NAMEN ANPASSEN!!
Case "Ersatz1"
	LOD = "Ersatz2"
Case "Ersatz2"
	LOD = "Ersatz3"
Case "Ersatz3"
	LOD = "Ersatz1"
End Select

Try
	oAsmCompDef.RepresentationsManager.LevelOfDetailRepresentations.Item(LOD).Activate(True)
Catch
	MsgBox ("Fehler beim umstellen auf LOD " & LOD)
End Try

'oDoc.Update
oDoc.Update2


Zum Aufruf mittels Schaltfläche ein Formular erstellen und dort die Regel rein ziehen.

2018-12-11 19_34_11

[Quelle. Danke an Aleks für sein Codebeispiel das als Basis diente]

Keine Kommentare:

Kommentar veröffentlichen

War der Beitrag hilfreich oder hast du eine Ergänzung dazu?
Ist noch eine Frage offen?
Ich freue mich auf deine Rückmeldung!

Related Posts Plugin for WordPress, Blogger...
Inventor FAQ Newsletter. Emailadresse: